import { defineComponent, ref, useSSRContext } from "vue";
import { ssrRenderStyle, ssrRenderAttr } from "vue/server-renderer";
import { useStore } from "vuex";
const poster = "/assets/poster-CWZ8V__r.jpg";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "banner",
  __ssrInlineRender: true,
  setup(__props) {
    var _a, _b;
    const store = useStore();
    const modelType = ref(1);
    const columnImage = ref("");
    const posterImg = ref(poster);
    modelType.value = (_a = store.state.menuList[store.state.sub]) == null ? void 0 : _a.modelType;
    columnImage.value = (_b = store.state.menuList[store.state.sub]) == null ? void 0 : _b.imagePath;
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<!--[-->`);
      if (modelType.value == 1) {
        _push(`<div style="${ssrRenderStyle([{ "width": "100%", "height": "100%", "background-size": "cover", "background-position": "center center", "background-repeat": "no-repeat" }, { backgroundImage: `url(${columnImage.value})` }])}"></div>`);
      } else {
        _push(`<!---->`);
      }
      if (modelType.value == 2) {
        _push(`<video webkit-playsinline="webkit-playsinline" playsinline id="videoPlay" autoplay loop muted preload="auto"${ssrRenderAttr("poster", posterImg.value)} style="${ssrRenderStyle({ "width": "100%", "height": "100%", "object-fit": "fill" })}"${ssrRenderAttr("src", columnImage.value)}><source type="video/mp4"></video>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("src/components/layout/banner.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _
};
